require 'package'
class Re6stnet < Package
  description 'Resilient, Scalable, IPv6 Network'
  homepage 'https://re6st.nexedi.com/'
  version '0.514'
  source_url 'https://lab.nexedi.com/nexedi/chromebrew-buildout-re6st/repository/archive.tar.bz2?ref=7bfeec648f552aade09c56af669668c64b065186'
  source_sha256 '8e3fbefc6e0f9ca6053f0b7e0df3df51cd1773b674b2a8ed8e6b9287ef9d2e53'

  binary_url ({
    x86_64: 'https://softinst105421.host.vifib.net/public/re6stnet-0.514-chromeos-x86_64.tar.xz',
  })
  binary_sha256 ({
    x86_64: '88d3705ffb49f56227b9447f9772518343673f6a993287380301d7d90cb6a945',
  })

  depends_on 'python27' => :build
  depends_on 'filecmd' => :build
  depends_on 'libiconv' => :build
  depends_on 'glibc'

  @re6st_dir = "#{CREW_PREFIX}/opt/re6st"

  def self.build
    system "mkdir -p #{@re6st_dir}/bin/"
    system "cp buildout.cfg #{@re6st_dir}"
    system "cp bin/* #{@re6st_dir}/bin/"
    system "gcc shill_wrapper.c -o #{@re6st_dir}/bin/shill_wrapper -ldl -Wall -fPIC -pie"
    system "cd #{@re6st_dir} && ./bin/bootstrap && MAKEFLAGS=-j SSL_CERT_DIR=/etc/ssl/certs ./bin/buildout"
  end

  def self.install
    system "mkdir -p #{CREW_DEST_PREFIX}/opt/"
    system "cp -r #{@re6st_dir} #{CREW_DEST_DIR}#{@re6st_dir}"
    system "rm -rf #{CREW_DEST_DIR}#{@re6st_dir}/download-cache"
  end

  def self.postinstall
    system "ln -fs #{@re6st_dir}/bin/grandenet #{CREW_PREFIX}/sbin/grandenet"
    system "ln -fs #{@re6st_dir}/bin/shill.sh #{CREW_PREFIX}/sbin/shill.sh"
    system "ln -fs #{@re6st_dir}/bin/shill_wrapper #{CREW_PREFIX}/sbin/shill_wrapper"
    system "ln -fs #{@re6st_dir}/bin/re6stnet #{CREW_PREFIX}/sbin/re6stnet"
    system "ln -fs #{@re6st_dir}/bin/re6st-conf #{CREW_PREFIX}/bin/re6st-conf"
    system "ln -fs #{@re6st_dir}/bin/re6st-registry #{CREW_PREFIX}/bin/re6st-registry"
    puts "To initiate re6stnet, run #{CREW_PREFIX}/sbin/grandenet"
  end
end
